<?php

namespace \Losc\CucmBundle\Model\Webservice\ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for RArrayOfCommunityString ArrayType
 * @subpackage Arrays
 */
class RArrayOfCommunityString extends AbstractStructArrayBase
{
    /**
     * The item
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\RCommunityString[]
     */
    public $item;
    /**
     * Constructor method for RArrayOfCommunityString
     * @uses RArrayOfCommunityString::setItem()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\RCommunityString[] $item
     */
    public function __construct(array $item = array())
    {
        $this
            ->setItem($item);
    }
    /**
     * Get item value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCommunityString[]|null
     */
    public function getItem()
    {
        return $this->item;
    }
    /**
     * Set item value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\RCommunityString[] $item
     * @return \\Losc\CucmBundle\Model\Webservice\ArrayType\RArrayOfCommunityString
     */
    public function setItem(array $item = array())
    {
        $this->item = $item;
        return $this;
    }
    /**
     * Add item to item value
     * @throws \InvalidArgumentException
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\RCommunityString $item
     * @return \\Losc\CucmBundle\Model\Webservice\ArrayType\RArrayOfCommunityString
     */
    public function addToItem(\\Losc\CucmBundle\Model\Webservice\StructType\RCommunityString $item)
    {
        $this->item[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCommunityString|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCommunityString|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCommunityString|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCommunityString|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCommunityString|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string item
     */
    public function getAttributeName()
    {
        return 'item';
    }
}
